---
layout: markdown_page
title: "Getting Help for GitLab"
---

## Updating
* [GitLab update page](https://about.gitlab.com/update/): resources and information to help you update your GitLab instance.
* [Maintenance policy](https://gitlab.com/gitlab-org/gitlab-ce/blob/master/MAINTENANCE.md): specifies what versions are supported.

## Technical Support
* [Troubleshooting guide](https://github.com/gitlabhq/gitlab-public-wiki/wiki/Trouble-Shooting-Guide): contains solutions to common problems.
* [Subscription](https://about.gitlab.com/subscription/): allows you to contact our GitLab service engineers to solve your problem.
* [Consultancy](https://about.gitlab.com/consultancy/): personalized attention from the GitLab experts for installations, upgrades and customizations.
* [Mailing list](https://groups.google.com/forum/#!forum/gitlabhq): Please search for similar issues before posting your own, there's a good chance somebody else had the same issue you have now and has resolved it.
* [Stack Overflow](http://stackoverflow.com/questions/tagged/gitlab): Please search for similar issues before posting your own, there's a good chance somebody else had the same issue you have now and has resolved it.

## Feature Proposals
* Submit feature proposals on the issue tracker for
[GitLab CE](https://gitlab.com/gitlab-org/gitlab-ce/issues) or
[GitLab EE](https://gitlab.com/gitlab-org/gitlab-ee/issues) and
add the label `feature proposal`.
Please search for similar proposals before posting your own.

## Contributing
* [Contributing guide](https://gitlab.com/gitlab-org/gitlab-ce/blob/master/CONTRIBUTING.md): describes how to submit Merge Requests and issues. Pull Requests and Issues not in line with the guidelines in this document will be closed.

## Discussion
* [#gitlab IRC channel](https://webchat.freenode.net/?channels=gitlab): a Freenode channel to get in touch with other GitLab users and get help. It is managed by James Newton (newton) and Drew Blessing (dblessing).
* [Gitter chat room](https://gitter.im/gitlabhq/gitlabhq#): here you can ask questions when you need help.
* [GitLab.com](https://about.gitlab.com/gitlab-com/) users can use the [GitLab.com Support Forum](https://gitlab.com/gitlab-com/support-forum/issues) to report issues  and bugs if they do not have a [GitLab.com Bronze Support package](https://gitlab.recurly.com/subscribe/gitlab-com-bronze-yearly-20).
* [GitLab Community Forum](https://forum.gitlab.com/): this is the best place to have a discussion.

## Reference
* [GitLab CE documentation](http://doc.gitlab.com/ce/): information about the functionality in GitLab for users, administrators and developers.
* [GitLab application documentation](https://about.gitlab.com/documentation/): Documentation for all GitLab applications
* [The GitLab Cookbook](https://www.packtpub.com/application-development/gitlab-cookbook): written by core team member Jeroen van Baarsen, it is the most comprehensive book about GitLab.
* Version two of the [Pro Git book](http://git-scm.com/book/en/v2) has a [section about GitLab.](http://git-scm.com/book/en/v2/Git-on-the-Server-GitLab)
* O'Reilly Media 'Git for teams' [book](http://shop.oreilly.com/product/0636920034520.do) has a chapter on GitLab, there are also [videos](http://shop.oreilly.com/product/0636920034872.do?code=WKGTVD) about Git and GitLab. They also provide a [free video about creating a GitLab account](http://player.oreilly.com/videos/9781491912003?toc_id=194077).
* [GitLab Youtube Channel](https://www.youtube.com/channel/UCnMGQ8QHMAnVIsI3xJrihhg): the place where you can see video's of features and installation options.

## Reproducible Bugs
* [The issue tracker](https://gitlab.com/gitlab-org/gitlab-ce/issues) lists errors and bugs people are experiencing. Please read the [contributing guidelines](https://gitlab.com/gitlab-org/gitlab-ce/blob/master/CONTRIBUTING.md#issue-tracker) before posting on the Issue tracker.

## Security
* Our [responsible disclosure page](https://about.gitlab.com/disclosure/) describes how to contact GitLab to report security vulnerabilities and other security information.
